Bug 1338700 (CVE-2016-4448)

Summary: CVE-2016-4448 libxml2: Format string vulnerability
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: athmanem, carnil, c.david86, csutherl, dknox, erik-fedora, fedora-mingw, jclere, ktietz, lgao, mbabacek, myarboro, ohudlick, rjones, sardella, slawomir, twalsh, veillard, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:52:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1340367, 1340369, 1340370, 1340371, 1349794, 1349795    
Bug Blocks: 1332827, 1340339, 1395463    

Description Andrej Nemec 2016-05-23 09:44:52 UTC
A vulnerability was found in the libxml2 library. There exist a possible format string vulnerability.

https://bugzilla.gnome.org/show_bug.cgi?id=761029

Upstream fixes:

https://git.gnome.org/browse/libxml2/commit/?id=4472c3a5a5b516aaf59b89be602fbce52756c3e9
https://git.gnome.org/browse/libxml2/commit/?id=502f6a6d08b08c04b3ddfb1cd21b2f699c1b7f5b

Comment 3 errata-xmlrpc 2016-06-23 10:33:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1292 https://access.redhat.com/errata/RHSA-2016:1292

Comment 4 Huzaifa S. Sidhpurwala 2016-06-24 09:41:05 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1349794]

Comment 5 Huzaifa S. Sidhpurwala 2016-06-24 09:41:18 UTC
Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1349795]

Comment 6 errata-xmlrpc 2016-12-15 22:19:10 UTC
This issue has been addressed in the following products:



Via RHSA-2016:2957 https://rhn.redhat.com/errata/RHSA-2016-2957.html